Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.transport.client
Class EPPConfigProxyServersLocator

    java.lang.Object
      com.verisign.epp.transport.client.EPPConfigProxyServersLocator

All Implemented Interfaces:
  EPPProxyServersLocator

    public class EPPConfigProxyServersLocator

extends java.lang.Object
implements EPPProxyServersLocator

Default implementation of the `EPPProxyServersLocator` interface that returns the proxy servers setting from the configuration file that are defined by the EPP.ProxyServers property.

Constructor Summary
`EPPConfigProxyServersLocator()`

Method Summary
`java.util.List` | `getProxyServers()` Gets the proxy servers from the `EPPEnv` class using the `EPPEnv.getProxyServers()` method and converts them to a `List` of `EPPProxyServer` instances.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPConfigProxyServersLocator

    public EPPConfigProxyServersLocator()

Method Detail

### getProxyServers

    public java.util.List getProxyServers()

  Gets the proxy servers from the `EPPEnv` class using the `EPPEnv.getProxyServers()` method and converts them to a `List` of `EPPProxyServer` instances.

  Specified by:
    `getProxyServers` in interface `EPPProxyServersLocator`
  Returns:
    List of `EPPProxyServers` servers in the correct format if defined;`null` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.